# PercentEncodingNormalizator Class Reference
[Internet standarts implementations]

List of all members.

## Public Member Functions

| setUnreservedPartChars ($unreservedPartChars)
| normalize ($matched)

## Static Public Member Functions

static | create ()

## Private Attributes

| $unreservedPartChars = null

## Detailed Description

Definition at line 754 of file GenericUri.class.php.

## Member Function Documentation

static PercentEncodingNormalizator::create | ( |  | ) | `[static]`

Returns:
  PercentEncodingNormalizator

Definition at line 761 of file GenericUri.class.php.

Referenced by GenericUri::normalizePercentEncoded().

PercentEncodingNormalizator::normalize | ( | $ | matched | ) |

Definition at line 775 of file GenericUri.class.php.

References GenericUri::CHARS_UNRESERVED.

PercentEncodingNormalizator::setUnreservedPartChars | ( | $ | unreservedPartChars | ) |

Returns:
  PercentEncodingNormalizator

Definition at line 769 of file GenericUri.class.php.

References $unreservedPartChars.

## Member Data Documentation

PercentEncodingNormalizator::$unreservedPartChars = null`[private]`

Definition at line 756 of file GenericUri.class.php.

Referenced by setUnreservedPartChars().

The documentation for this class was generated from the following file:

- main/Net/GenericUri.class.php